> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get PDF for MijnKlantportaal Invoice

> Get the PDF file for a specific MijnKlantportaal invoice



## OpenAPI

````yaml /openapi.yaml get /invoices/{invoiceId}/pdf
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /invoices/{invoiceId}/pdf:
    get:
      tags:
        - Invoices API
      summary: Get PDF for MijnKlantportaal Invoice
      description: Get the PDF file for a specific MijnKlantportaal invoice
      operationId: get-invoice-pdf
      parameters:
        - name: invoiceId
          in: path
          description: ID of the Invoice to get the PDF for
          required: true
          schema:
            type: string
            example: fac_abc12345678
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  pdf:
                    type: string
                    description: The base64-string of the PDF
                    example: >-
                      data:application/pdf;base64,JVBERi0xLjQKMyAwIG9iago8PC9U...
        '404':
          description: The Invoice could not be found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````